package com.goldenwater.slgc.mapper;

import java.util.List;
import com.goldenwater.slgc.domain.AttDpdsBase;
import org.apache.ibatis.annotations.Mapper;

/** 排水沟信息 Mapper */
@Mapper
public interface AttDpdsBaseMapper {
    /**
     * 查询排水沟信息列表
     * 
     * @param attDpdsBase 查询条件
     * @return 排水沟信息列表
     */
    public List<AttDpdsBase> selectAttDpdsBaseList(AttDpdsBase attDpdsBase);

    /**
     * 通过排水沟编码查询排水沟信息
     * 
     * @param dpdsCode 排水沟编码
     * @return 排水沟信息
     */
    public AttDpdsBase selectAttDpdsBaseById(String dpdsCode);

    /**
     * 通过排水沟编码删除排水沟信息
     * 
     * @param dpdsCode 排水沟编码
     * @return 影响行数
     */
    public int deleteAttDpdsBaseById(String dpdsCode);

    /**
     * 批量删除排水沟信息
     * 
     * @param dpdsCodes 排水沟编码数组
     * @return 影响行数
     */
    public int deleteAttDpdsBaseByIds(String[] dpdsCodes);

    /**
     * 修改排水沟信息
     * 
     * @param attDpdsBase 排水沟信息
     * @return 影响行数
     */
    public int updateAttDpdsBase(AttDpdsBase attDpdsBase);

    /**
     * 新增排水沟信息
     * 
     * @param attDpdsBase 排水沟信息
     * @return 影响行数
     */
    public int insertAttDpdsBase(AttDpdsBase attDpdsBase);
}
